GLUT-2.4.0.0: A binding for the OpenGL Utility Toolkit

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.UI.GLUT.Debugging

Description

This module contains a simple utility routine to report any pending GL errors.

Synopsis

- reportErrors :: IO ()

# Documentation

reportErrors :: IO ()Source

Report any pending GL errors to stderr (which is typically the console). If there are no pending errors, this routine does nothing. Note that the error flags are reset after this action, i.e. there are no pending errors left afterwards.